// creator  : weidu.exe (version 23600)
// argument : IRON9.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~IRON9~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~  True()
~ THEN BEGIN 0 // from:
  SAY #4308 /* ~Hey! You're those adventurers. I... I give up. Please don't hurt me; I promise I won't scream. I don't wanna dieeee! Oh, please let me live... just don't kill me. Are you gonna let me live? Are ya, huh? Huh?~ */
  IF ~~ THEN REPLY #4322 /* ~Sure, we'll let you live, just tell us everything we want to know.~ */ GOTO 2
  IF ~~ THEN REPLY #4324 /* ~Sorry bucko, but we can't let anyone live.~ */ GOTO 1
  IF ~~ THEN REPLY #4328 /* ~Just shut up. Please SHUT UP!~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 2.0 0.1
  SAY #4310 /* ~You're gonna kill me?! You bastards, I won't go down without a fight. COME ON! Ya wanna piece of me?~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #4343 /* ~I'll tell ya everything, everything! My boss, Davaeorn, he's on the fourth level. He's the head honcho. Now are ya gonna let me live?~ */
  IF ~~ THEN REPLY #4345 /* ~Nope.~ */ UNSOLVED_JOURNAL #27172 /* ~Flooding the Cloakwood Mine
An Iron Throne guard told us that we could find Davaeorn on the fourth floor of the Cloakwood mine.~ */ GOTO 1
  IF ~~ THEN REPLY #4346 /* ~Yes, now get the hell out of here!~ */ DO ~EscapeArea()
~ UNSOLVED_JOURNAL #27172 /* ~Flooding the Cloakwood Mine
An Iron Throne guard told us that we could find Davaeorn on the fourth floor of the Cloakwood mine.~ */ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #6269 /* ~You're obviously here on important business, friends. If you want to see Davaeorn, he's on the fourth floor.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27172 /* ~Flooding the Cloakwood Mine
An Iron Throne guard told us that we could find Davaeorn on the fourth floor of the Cloakwood mine.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9211 /* ~You're not welcome here! You'll pay with your life!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.2
  SAY #14384 /* ~I'll be good! I'll shut up. You can count on me to be quiet as a mouse. YES, <SIRMAAM>, no sound coming from this mouth. I'm gonna shut my mouth so tight you'd have to pry it open with a crowbar.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
